PySpark Plaso Release 2019 A tool for distributed extraction of timestamps from various files using extractors adapted from the Plaso engine to Apache Spark.

Public Member Functions | List of all members
plaso.tarzan.mediator.print_mediator.PrintMediator Class Reference
Inheritance diagram for plaso.tarzan.mediator.print_mediator.PrintMediator:
[legend]
Collaboration diagram for plaso.tarzan.mediator.print_mediator.PrintMediator:
[legend]

## Public Member Functions
def | __init__ (self)
def | ProduceEventWithEventData (self, event, event_data)
def | ProduceExtractionError (self, message, path_spec=None)
def | ProduceExtractionWarning (self, message, path_spec=None)
Public Member Functions inherited from plaso.tarzan.mediator.mediator.Mediator
def | SetFileEntry (self, file_entry)
def | GetFileEntry (self)
def | GetFilename (self)
def | AppendToParserChain (self, plugin_or_parser)
def | PopFromParserChain (self)
def | AddEventAttribute (self, attribute_name, attribute_value)
def | RemoveEventAttribute (self, attribute_name)
def | abort (self)
def | temporary_directory (self)

## Additional Inherited Members
Public Attributes inherited from plaso.tarzan.mediator.mediator.Mediator
| file_entry
| parser_chain_components
| collection_filters_helper
| codepage

## Detailed Description

    Tarzan mediator printing events to stdout.

## Constructor & Destructor Documentation

## ◆ __init__()

def plaso.tarzan.mediator.print_mediator.PrintMediator.__init__ | ( |  | self | ) |

    Initialize the mediator.

Reimplemented from plaso.tarzan.mediator.mediator.Mediator.

## Member Function Documentation

## ◆ ProduceEventWithEventData()

def plaso.tarzan.mediator.print_mediator.PrintMediator.ProduceEventWithEventData | ( |  | self,
|  |  | event,
|  |  | event_data
| ) |  |

    Produce a particular event with its data.
    :param event: the event
    :param event_data: the event's data

Reimplemented from plaso.tarzan.mediator.mediator.Mediator.

## ◆ ProduceExtractionError()

def plaso.tarzan.mediator.print_mediator.PrintMediator.ProduceExtractionError | ( |  | self,
|  |  | message,
|  |  | path_spec = `None`
| ) |  |

    Produce an extraction error with a particular message and a path.
    :param message: the error message
    :param path_spec: the erroneous path

Reimplemented from plaso.tarzan.mediator.mediator.Mediator.

## ◆ ProduceExtractionWarning()

def plaso.tarzan.mediator.print_mediator.PrintMediator.ProduceExtractionWarning | ( |  | self,
|  |  | message,
|  |  | path_spec = `None`
| ) |  |

    Produce an extraction warning with a particular message and a path.
    :param message: the warning message
    :param path_spec: the path that caused the warning

The documentation for this class was generated from the following file:

- /home/rychly/repos/pyspark-plaso/src/plaso/tarzan/mediator/print_mediator.py